%define module	lazy-object-proxy

Name:		python-%{module}
Summary:	A fast and thorough lazy object proxy
Version:	1.2.1
Release:	%mkrel 1
Source0:	https://pypi.python.org/packages/source/a/%{module}/%{module}-%{version}.tar.gz
License:	GPLv2+
Group:		Development/Python
Url:		https://pypi.python.org/pypi/lazy-object-proxy
BuildRequires:	python-devel
BuildRequires:	python-setuptools

%description
A fast and thorough lazy object proxy

%package -n	python3-%{module}
Summary:	A fast and thorough lazy object proxy
Requires:	python3-logilab-common >= 0.62.0
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n	python3-%{module}
A fast and thorough lazy object proxy

This is a version for Python 3.

%prep
%setup -q -n %{module}-%{version}

# py3K prep
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
NO_SETUPTOOLS=1 %{__python2} setup.py build

# py3k build
pushd %{py3dir}
NO_SETUPTOOLS=1 %{__python3} setup.py build
popd

%check
%define enable_tests_python3 0
%if %{enable_tests_python3}
pushd %{py3dir}/build/lib/lazy-object-proxy/test
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3}-pytest
popd
%endif
%define enable_tests_python2 0
%if %{enable_tests_python2}
pushd build/lib/lazy-object-proxy
PYTHONPATH=%{buildroot}%{python2_sitelib} %{__python2} -Wi -m unittest discover -s test -p "unittest*.py"
popd
%endif

%install
# py3k install
pushd %{py3dir}
NO_SETUPTOOLS=1 %{__python3} setup.py install -O1 --root %{buildroot}
popd

# python2
NO_SETUPTOOLS=1 %{__python2} setup.py install -O1 --root=%{buildroot}

%files
%{python2_sitearch}/lazy_object_proxy*

%files -n python3-%{module}
%{python3_sitearch}/lazy_object_proxy*


%changelog
* Fri Dec 18 2015 shlomif <shlomif> 1.2.1-1.mga6
+ Revision: 911690
- Add missing BR
- Importing based on python-astroid

